summaryrefslogtreecommitdiff
path: root/src/sudo.bash
diff options
context:
space:
mode:
Diffstat (limited to 'src/sudo.bash')
-rwxr-xr-xsrc/sudo.bash7
1 files changed, 6 insertions, 1 deletions
diff --git a/src/sudo.bash b/src/sudo.bash
index cccebd342..40f8d1aa1 100755
--- a/src/sudo.bash
+++ b/src/sudo.bash
@@ -12,12 +12,17 @@ Darwin)
exit 0
esac
+eval $(go env)
+if ! [ -x $GOTOOLDIR/cov -a -x $GOTOOLDIR/prof ]; then
+ echo "You don't need to run sudo.bash." >&2
+ exit 2
+fi
+
if [[ ! -d /usr/local/bin ]]; then
echo 1>&2 'sudo.bash: problem with /usr/local/bin; cannot install tools.'
exit 2
fi
-eval $(go env)
cd $(dirname $0)
for i in prof cov
do